import React, { useState } from 'react'
import { View, Text } from '@tarojs/components'
import CustomNav from '@/components/CustomNav'
import logo from '@/assets/icons/comm/logo_small.png'
import tabList from './tabbar'
import './index.less'

export default (props) => {
  const [currentTab, setCurrentTab] = useState(0)

  const handleTabChange = (e) => {
    const { index } = e.detail
    setCurrentTab(index)
  }

  return (
    <view className='page-index'>
      <view className='index-navbar'>
        <CustomNav logo={logo} title='首页' />
      </view>
      <view className='index-container'>
      </view>
      <view className='index-tabbar'>
        <mp-tabbar extClass='custom-tabbar' current={currentTab} list={tabList} onChange={handleTabChange}></mp-tabbar>
      </view>
    </view>
  )
}
